package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsSubsystem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能源子系统Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-16
 */
public interface EmsSubsystemMapper {
    /**
     * 查询能源子系统
     *
     * @param id 能源子系统主键
     * @return 能源子系统
     */
    EmsSubsystem selectEmsSubsystemById(Long id);

    /**
     * 查询能源子系统
     *
     * @param systemCode 能源子系统主键
     * @return 能源子系统
     */
    EmsSubsystem selectEmsSubsystemByCode(@Param("systemCode") String systemCode);

    /**
     * 查询能源子系统列表
     *
     * @param emsSubsystem 能源子系统
     * @return 能源子系统集合
     */
    List<EmsSubsystem> selectEmsSubsystemList(EmsSubsystem emsSubsystem);

    /**
     * 新增能源子系统
     *
     * @param emsSubsystem 能源子系统
     * @return 结果
     */
    int insertEmsSubsystem(EmsSubsystem emsSubsystem);

    /**
     * 修改能源子系统
     *
     * @param emsSubsystem 能源子系统
     * @return 结果
     */
    int updateEmsSubsystem(EmsSubsystem emsSubsystem);

    /**
     * 删除能源子系统
     *
     * @param id 能源子系统主键
     * @return 结果
     */
    int deleteEmsSubsystemById(Long id);

    /**
     * 批量删除能源子系统
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteEmsSubsystemByIds(Long[] ids);
}
